CONNECT tbg_temp;

-- agileboard_columns

-- agileboards

-- application_password

-- articlecategories

-- articlefiles

-- articlehistory

-- articlelinks

-- articles
-- alter table tbg3_articles
    -- drop index tbg3_articles_name_scope;

-- articleviews

-- branchcommits
CREATE TABLE if not exists `tbg3_branchcommits` (
  `branch_id` int(10) DEFAULT '0',
  `commit_id` int(10) DEFAULT '0',
  `commit_sha` text,
  `scope` int(10) DEFAULT '0',
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`id`),
  KEY `tbg3_branchcommits_commit` (`commit_id`),
  KEY `tbg3_branchcommits_branch` (`branch_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- branches
CREATE TABLE if not exists `tbg3_branches` (
  `name` varchar(200) DEFAULT NULL,
  `is_deleted` tinyint(1) DEFAULT NULL,
  `latest_commit_id` int(10) DEFAULT '0',
  `project_id` int(10) DEFAULT '0',
  `scope` int(10) DEFAULT '0',
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`id`),
  KEY `tbg3_branches_project` (`project_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- buddies

-- builds

-- clientmembers

-- clients
alter table tbg3_clients
    modify `name` varchar(200) DEFAULT NULL,
    modify `email` varchar(200) DEFAULT NULL,
    modify `telephone` varchar(200) DEFAULT NULL,
    modify `fax` varchar(200) DEFAULT NULL;

-- comments
alter table tbg3_comments
    add column `has_associated_changes` tinyint(1) DEFAULT NULL;
-- commitfile_diffs
CREATE TABLE if not exists `tbg3_commitfile_diffs` (
  `diff` text,
  `start_line_remove` int(10) DEFAULT '0',
  `lines_removed` int(10) DEFAULT '0',
  `start_line_add` int(10) DEFAULT '0',
  `lines_added` int(10) DEFAULT '0',
  `diff_header` varchar(300) DEFAULT NULL,
  `commit_file_id` int(10) DEFAULT '0',
  `scope` int(10) DEFAULT '0',
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- commitfiles
CREATE TABLE if not exists `tbg3_commitfiles` (
  `file_name` text,
  `action` varchar(1) DEFAULT NULL,
  `commit_id` int(10) DEFAULT '0',
  `data` varchar(500) DEFAULT NULL,
  `scope` int(10) DEFAULT '0',
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`id`),
  KEY `tbg3_commitfiles_commit` (`commit_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- commits
CREATE TABLE if not exists `tbg3_commits` (
  `log` text,
  `old_rev` varchar(40) DEFAULT NULL,
  `previous_commit_id` int(10) DEFAULT '0',
  `new_rev` varchar(40) DEFAULT NULL,
  `new_rev_short` varchar(40) DEFAULT NULL,
  `author` int(10) DEFAULT '0',
  `date` int(10) DEFAULT '0',
  `data` varchar(500) DEFAULT NULL,
  `project_id` int(10) DEFAULT '0',
  `is_imported` tinyint(1) DEFAULT NULL,
  `scope` int(10) DEFAULT '0',
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`id`),
  KEY `tbg3_commits_project` (`project_id`),
  KEY `tbg3_commits_project_commit` (`project_id`,`new_rev`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- components

-- customfieldoptions

-- customfields

-- dashboard_views

-- dashboards

-- editioncomponents

-- editions
alter table tbg3_editions
    modify `doc_url` varchar(200) DEFAULT NULL,
    modify `locked` tinyint(1) DEFAULT NULL,
    modify `isreleased` tinyint(1) DEFAULT NULL;

-- files
alter table tbg3_files
    modify `content_type` varchar(200) DEFAULT NULL,
    modify `real_filename` varchar(200) DEFAULT NULL,
    modify `original_filename` varchar(200) DEFAULT NULL,
    modify `description` varchar(200) DEFAULT NULL,
    modify `id` int(10) unsigned NOT NULL AUTO_INCREMENT;

-- groups
alter table tbg3_groups
    modify `name` varchar(200) DEFAULT NULL;

-- issue_estimates

-- issue_spenttimes

-- issueaffectsbuild

-- issueaffectscomponent

-- issueaffectsedition

-- issuecommits
CREATE TABLE if not exists `tbg3_issuecommits` (
  `issue_no` int(10) DEFAULT '0',
  `commit_id` int(10) DEFAULT '0',
  `scope` int(10) DEFAULT '0',
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`id`),
  KEY `tbg3_issuecommits_commit` (`commit_id`),
  KEY `tbg3_issuecommits_issue` (`issue_no`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- issuecustomfields
alter table tbg3_issuecustomfields
    add key tbg3_issuecustomfields_issueid_scope (issue_id, scope);

-- issuefields
alter table tbg3_issuefields
    modify field_key varchar(100) default null;

-- issuefiles

-- issuerelations

-- issues
alter table tbg3_issues
    add key tbg3_issues_duplicateof (duplicate_of);

-- issuetags

-- issuetype_scheme_link
alter table tbg3_issuetype_scheme_link
    add key tbg3_issuetype_scheme_link_issuetypescheme_scope (issuetype_scheme_id, scope);

-- issuetype_schemes
alter table tbg3_issuetype_schemes
    modify `description` varchar(200) DEFAULT NULL;

-- issuetypes

-- links
alter table tbg3_links
    add key tbg3_links_targettype_targetid_scope(target_type, target_id, scope);

-- listtypes
alter table tbg3_listtypes
    add key tbg3_listtypes_scope (scope);

-- livelink_imports
CREATE TABLE if not exists `tbg3_livelink_imports` (
  `user_id` int(10) DEFAULT '0',
  `project_id` int(10) DEFAULT '0',
  `created_at` int(10) DEFAULT '0',
  `completed_at` int(10) DEFAULT '0',
  `data` varchar(1000) DEFAULT NULL,
  `scope` int(10) DEFAULT '0',
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- log
alter table tbg3_log
    add column `project_id` int(10) DEFAULT '0',
    add KEY `tbg3_log_commentid` (`comment_id`),
    add KEY `tbg3_log_targettype_time` (`target_type`,`time`),
    add KEY `tbg3_log_targettype_changetype` (`target_type`,`change_type`),
    add KEY `tbg3_log_target_uid_commentid_scope` (`target`,`uid`,`comment_id`,`scope`);

-- mailing_incoming_email_account
alter table tbg3_mailing_incoming_email_account
    add column `prefer_html` tinyint(1) DEFAULT NULL;

-- mailing_queue

-- milestones
alter table tbg3_milestones
    modify `name` varchar(200) default null;

-- modules
alter table tbg3_modules
    modify `name` varchar(200) DEFAULT NULL,
    modify `classname` varchar(100) DEFAULT NULL;

-- notifications
alter table tbg3_notifications
    add key `tbg3_notifications_userid_targetid_notificationtype_scope` (`user_id`,`target_id`,`notification_type`,`scope`);

-- notificationsettings

-- permissions

-- projectassignedteams

-- projectassignedusers

-- projects

-- rolepermissions
alter table tbg3_rolepermissions
    add key `tbg3_rolepermissions_role_id` (`role_id`);

-- savedsearches
delete from tbg3_savedsearches where applies_to_project = 0;

-- savedsearchfilters

-- scopehostnames
alter table tbg3_scopehostnames
    add key `tbg3_scopehostnames_id_hostname` (`id`,`hostname`),
    add key `tbg3_scopehostnames_scopeid_hostname` (`scope_id`,`hostname`);

-- scopes
alter table tbg3_scopes
    modify `name` varchar(200) DEFAULT NULL,
    modify `description` varchar(200) DEFAULT NULL,
    drop column administrator;

-- settings

-- teammembers

-- teams
alter table tbg3_teams
    modify `name` varchar(200) DEFAULT NULL,
    add KEY `tbg3_teams_scope_ondemand` (`scope`,`ondemand`);

-- userarticles

-- userissues

-- users
alter table tbg3_users
    drop column salt;

-- userscopes

-- usersession
CREATE TABLE if not exists `tbg3_usersession` (
  `name` varchar(200) DEFAULT NULL,
  `token` varchar(200) DEFAULT NULL,
  `created_at` int(10) DEFAULT '0',
  `last_used_at` int(10) DEFAULT '0',
  `is_elevated` tinyint(1) DEFAULT NULL,
  `expires_at` int(10) DEFAULT '0',
  `user_id` int(10) DEFAULT '0',
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- userstate
alter table tbg3_userstate
    modify `name` varchar(200) DEFAULT NULL,
    drop column itemdata;

-- vcsintegration_commits
CREATE TABLE if not exists `tbg3_vcsintegration_commits` (
  `log` text,
  `old_rev` varchar(40) DEFAULT NULL,
  `new_rev` varchar(40) DEFAULT NULL,
  `author` int(10) DEFAULT '0',
  `date` int(10) DEFAULT '0',
  `data` text,
  `project_id` int(10) DEFAULT '0',
  `scope` int(10) DEFAULT '0',
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- vcsintegration_files
CREATE TABLE if not exists `tbg3_vcsintegration_files` (
  `file_name` text,
  `action` varchar(1) DEFAULT NULL,
  `commit_id` int(10) DEFAULT '0',
  `scope` int(10) DEFAULT '0',
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- vcsintegration_issuelinks
CREATE TABLE if not exists `tbg3_vcsintegration_issuelinks` (
  `issue_no` int(10) DEFAULT '0',
  `commit_id` int(10) DEFAULT '0',
  `scope` int(10) DEFAULT '0',
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- visible_issue_types

-- visible_milestones

-- votes

-- workflow_issuetype

-- workflow_schemes
alter table tbg3_workflow_schemes
    modify `description` varchar(200) DEFAULT NULL;

-- workflow_step_transitions
alter table tbg3_workflow_step_transitions
    add key `tbg3_workflow_step_transitions_scope_fromstepid` (`scope`,`from_step_id`);

-- workflow_steps
alter table tbg3_workflow_steps
    modify `description` varchar(200) DEFAULT NULL;

-- workflow_transition_actions
alter table tbg3_workflow_transition_actions
    modify `action_type` varchar(200) DEFAULT NULL,
    add key `tbg3_workflow_transition_actions_scope_transitionid` (`scope`,`transition_id`);

-- workflow_transition_validation_rules
alter table tbg3_workflow_transition_validation_rules
    modify `pre_or_post` varchar(200) DEFAULT NULL,
    add key `tbg3_workflow_transition_validation_rules_scope_transitionid` (`scope`,`transition_id`);

-- workflow_transitions
alter table tbg3_workflow_transitions
    modify `description` varchar(200) DEFAULT NULL;

-- workflows

-- tabelle non più necessarie
/*
DROP TABLE IF EXISTS `tbg3_billboardposts`;
DROP TABLE IF EXISTS `tbg3_componentassignees`;
DROP TABLE IF EXISTS `tbg3_componentassignedusers`;
DROP TABLE IF EXISTS `tbg3_componentassignedteams`;
DROP TABLE IF EXISTS `tbg3_editionassignedteams`;
DROP TABLE IF EXISTS `tbg3_editionassignedusers`;
DROP TABLE IF EXISTS `tbg3_editionassignees`;
DROP TABLE IF EXISTS `tbg3_enabledmodulelisteners`;
DROP TABLE IF EXISTS `tbg3_modulepermissions`;
DROP TABLE IF EXISTS `tbg3_openid_accounts`;
DROP TABLE IF EXISTS `tbg3_projectassignees`;
DROP TABLE IF EXISTS `tbg3_user_dashboard_views`;
*/

